## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/deepmap/oapi-codegen
%global goipath         github.com/deepmap/oapi-codegen
Version:                1.13.0

%gometa -f


%global common_description %{expand:
Generate Go client and server boilerplate from OpenAPI 3 specifications.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Generate Go client and server boilerplate from OpenAPI 3 specifications

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
for test in "TestLoader" \
            "TestRemoteExternalReference" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE
%doc examples README.md
%{_bindir}/oapi-codegen

%gopkgfiles

%changelog
* Wed Aug 23 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.13.0-1
- Initial import

* Mon Jul 31 2023 Tomas Hrcka <thrcka@redhat.com> - 1.8.2-7
- Unretirement request: https://pagure.io/releng/issue/11583

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.8.2-4
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.8.2-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 29 2021 Ondřej Budai <ondrej@budai.cz> - 1.8.2-1
- Update to 1.8.2

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Ondřej Budai <ondrej@budai.cz> - 1.8.1-1
- Update to 1.8.1

* Thu Jun 03 2021 Ondřej Budai <ondrej@budai.cz> - 1.7.1-1
- Update to 1.7.1

* Mon Feb 01 2021 Ondřej Budai <ondrej@budai.cz> - 1.5.0-1
- Update to 1.5.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 07 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.2-1
- Update to 1.4.2 Close: rhbz#1913708

* Sat Jan 02 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-1
- Update to 1.4.1 Close: rhbz#1907336

* Fri Aug 28 2020 Ondřej Budai <obudai@redhat.com> - 1.3.12-1
- Initial import (#1873339)
